#!/bin/sh
# shellcheck disable=SC2010
# This is a dirty way to combine some HTML files

HTML_FILE="${REP_PATH_CLI}/final_report.html"
HTML_SUB_FILES=$(ls "${REP_PATH_CLI}/"*.html | grep -v "${HTML_FILE}")
SED_STRING="" # Do nothing by default


# Some HTML "header"
cat >"${HTML_FILE}" <<EOF
<!DOCTYPE html>
<html lang="en">
<head>
	<link href='https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css' rel='stylesheet' integrity='sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3' crossorigin='anonymous'>
	<script src='https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js' integrity='sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p' crossorigin='anonymous'>
	</script>
</head>

<body class="bg-light">

	<div class='accordion' id='accordion'>
EOF


# Make accordion items collapsed by default if multiple reports exist (space separated)
if  printf "%s" "${HTML_SUB_FILES}" | tr '\n' ' ' | grep " " > /dev/null
then
	SED_STRING="s:collapse show:collapse:"
fi

for hf in ${HTML_SUB_FILES}
do
	# Output File content without its own "header"

	grep -v '<script\|script>\|<link' "${hf}" |\
	  grep -v '<!DOCTYPE html>' |\
	  grep -v '<html' |\
	  sed "${SED_STRING}" >>"${HTML_FILE}"
done


# Some HTML trailer
cat >>"${HTML_FILE}" <<EOF
	</div>
</body>
</html>
EOF
